P1363_KDF2< H > Class Template Reference

P1363 key derivation function. More...

`#include <pubkey.h>`

## Static Public Member Functions

static void | DeriveKey (byte *output, size_t outputLength, const byte *input, size_t inputLength, const byte *derivationParams, size_t derivationParamsLength)
| P1363 key derivation function.

## Detailed Description

template<class H>
class P1363_KDF2< H >

P1363 key derivation function.

Template Parameters

  H | hash function used in the derivation

See also
  P1363_MGF1, KeyDerivationFunction, P1363_KDF2 on the Crypto++ wiki

Since
  Crypto++ 2.0

Definition at line 749 of file pubkey.h.

## Member Function Documentation

## DeriveKey()

template<class H >

static void P1363_KDF2< H >::DeriveKey | ( | byte * | output,
|  | size_t | outputLength,
|  | const byte * | input,
|  | size_t | inputLength,
|  | const byte * | derivationParams,
|  | size_t | derivationParamsLength
| ) |  |

inline static

P1363 key derivation function.

Parameters

  output | the destination byte array
  outputLength | the size of the destination byte array
  input | the message to hash
  inputLength | the size of the message
  derivationParams | additional derivation parameters
  derivationParamsLength | the size of the additional derivation parameters

DeriveKey calls P1363_MGF1KDF2_Common

Definition at line 760 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h